---
title: Number.isFinite()
slug: Web/JavaScript/Reference/Global_Objects/Number/isFinite
tags:
  - JavaScript
  - Method
  - Number
  - Reference
---
<div>{{JSRef}}</div>

<p><span class="seoSummary">The <strong><code>Number.isFinite()</code></strong> method determines whether the passed value is a finite number — that is, it checks that a number is neither positive nor negative <a href="/en-US/docs/Web/JavaScript/Reference/Global_Objects/Infinity">Infinity</a>, since JavaScript has both.</span></p>

<div>{{EmbedInteractiveExample("pages/js/number-isfinite.html")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">Number.isFinite(<var>value</var>)</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code><var>value</var></code></dt>
 <dd>The value to be tested for finiteness.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A {{jsxref("Boolean")}} indicating whether or not the given value is a finite number.</p>

<h2 id="Description">Description</h2>

<p>In comparison to the global {{jsxref("isFinite", "isFinite()")}} function, this method doesn't first convert the parameter to a number. This means only values of the type number <em>and</em> are finite return <code>true</code>.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Using_isFinite">Using isFinite</h3>

<pre class="brush: js notranslate">Number.isFinite(Infinity);  // false
Number.isFinite(NaN);       // false
Number.isFinite(-Infinity); // false

Number.isFinite(0);         // true
Number.isFinite(2e64);      // true

Number.isFinite('0');       // false, would've been true with
                            // global isFinite('0')
Number.isFinite(null);      // false, would've been true with
                            // global isFinite(null)
</pre>

<h2 id="Polyfill">Polyfill</h2>

<pre class="brush: js notranslate">if (Number.isFinite === undefined) Number.isFinite = function(value) {
    return typeof value === 'number' &amp;&amp; isFinite(value);
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-number.isfinite', 'Number.isInteger')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.builtins.Number.isFinite")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The {{jsxref("Number")}} object it belongs to.</li>
 <li>The global function {{jsxref("isFinite")}}.</li>
</ul>
